%global gem_name msgpack
Name:                rubygem-%{gem_name}
Version:             1.7.2
Release:             1
Summary:             MessagePack, a binary-based efficient data interchange format
License:             ASL 2.0
URL:                 http://msgpack.org/
Source0:             https://rubygems.org/gems/msgpack-%{version}.gem
BuildRequires:       gcc ruby(release) rubygems-devel ruby-devel rubygem(rspec)
Provides:            rubygem(%{gem_name}) = %{version}
%description
MessagePack is a binary-based efficient object serialization library. It
enables to exchange structured objects between many languages like JSON. But
unlike JSON, it is very fast and small.

%package help
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
Provides:            %{name}-doc = %{version}-%{release}
Obsoletes:           %{name}-doc < %{version}-%{release}
%description help
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
gem build %{gem_name}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/
mkdir -p %{buildroot}%{gem_extdir_mri}
cp -ar .%{gem_extdir_mri}/{gem.build_complete,%{gem_name}} %{buildroot}%{gem_extdir_mri}/
rm -rf %{buildroot}%{gem_instdir}/ext/
rm -rf %{buildroot}%{gem_instdir}/.github
rm -f %{buildroot}%{gem_instdir}/{.gitignore,.travis.yml}

%check
pushd .%{gem_instdir}
rm -rf spec/jruby
rspec -Ilib -I%{buildroot}%{gem_extdir_mri} spec
popd

%files
%dir %{gem_instdir}
%{gem_extdir_mri}
%exclude %{gem_instdir}/.rubocop.yml
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files help
%doc %{gem_docdir}
%doc %{gem_instdir}/ChangeLog
%doc %{gem_instdir}/README.md
%{gem_instdir}/msgpack.gemspec

%changelog
* Thu Nov 16 2023 xu_ping <707078654@qq.com> - 1.7.2-1
- Upgrade version to 1.7.2

* Tue Aug 01 2023 yaoxin <yao_xin001@hoperun.com> - 1.4.5-2
- Fix build failure caused by ruby update to 3.2.2

* Fri Feb 25 2022 Yangyunyi <yangyunyi2@huawei.com> - 1.4.5-1
- Update rubygem-msgpack to 1.4.5

* Mon Aug 24 2020 liyanan <liyanan32@huawei.com> - 1.1.0-1
- package init
